/* VierGewinnt - A simple 4-in-a-row network game
 *
 *      Copyright (c) 2008 by Sebastian Lohff, seba@seba-geek.de
 *      http://www.seba-geek.de
 *
 *  This file is part of VierGewinnt.
 *
 *  VierGewinnt is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  VierGewinnt is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with VierGewinnt.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "about.h"

AboutDialog::AboutDialog(QWidget *parent) : QDialog(parent) {
// 	setFixedSize(320, 200);
	setWindowTitle(tr("ber"));
	setModal(Qt::WindowModal);
	
	ok = new QPushButton(tr("Ok"));
	connect(ok, SIGNAL(clicked()), this, SLOT(accept()));
	head = new QLabel(tr("Netzwerk-VierGewinnt Client\nProgrammiert von seba\nwww.seba-geek.de"));
	head->setAlignment(Qt::AlignHCenter);
	body = new QLabel(tr("Erstes QT-Programm!\nDies ist ein Client fr das VierGewinnt-Modul vom \"Generic Network-Server\". Endlich eine Verbesserung zum SDL-Client..."));
	body->setWordWrap(true);
	 
	layout = new QVBoxLayout;
	
	layout->addWidget(head);
	layout->addSpacing(32);
	layout->addWidget(body);
	layout->addWidget(ok);
	
	layout->setAlignment(head, Qt::AlignHCenter);
	
	setLayout(layout);
}
